org.apache.fop.area

## Class Footnote

- java.lang.Object
- - org.apache.fop.area.AreaTreeObject
  - - org.apache.fop.area.Area
    - - org.apache.fop.area.BlockParent
      - - org.apache.fop.area.Footnote

All Implemented Interfaces:
  Serializable, Cloneable

    public class Footnote
    extends BlockParent

The footnote-reference-area optionally generated by an fo:region-body. This areas holds footnote areas and an optional separator area. See fo:region-body definition in the XSL Rec for more information.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.fop.area.BlockParent

`children, xOffset, yOffset`

### Fields inherited from class org.apache.fop.area.Area

`bidiLevel, bpd, CLASS_ABSOLUTE, CLASS_BEFORE_FLOAT, CLASS_FIXED, CLASS_FOOTNOTE, CLASS_MAX, CLASS_NORMAL, CLASS_SIDE_FLOAT, effectiveIPD, ipd, log, ORIENT_0, ORIENT_180, ORIENT_270, ORIENT_90, traits`

### Fields inherited from class org.apache.fop.area.AreaTreeObject

`extensionAttachments, foreignAttributes`

### Constructor Summary

Constructors
Constructor and Description
`Footnote()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addBlock(Block child)` Add a block area as child to the footnote area
`Block` `getSeparator()` Get the separator area for this footnote area.
`int` `getTop()` Get the relative position of the footnote inside the body region.
`void` `setSeparator(Block sep)` Set the separator area for this footnote.
`void` `setTop(int top)` Set the relative position of the footnote inside the body region.

### Methods inherited from class org.apache.fop.area.BlockParent

`activateEffectiveIPD, addChildArea, getChildAreas, getEffectiveIPD, getXOffset, getYOffset, isEmpty, setXOffset, setYOffset`

### Methods inherited from class org.apache.fop.area.Area

`addTrait, clone, getAllocBPD, getAllocIPD, getAreaClass, getBidiLevel, getBorderAndPaddingWidthAfter, getBorderAndPaddingWidthBefore, getBorderAndPaddingWidthEnd, getBorderAndPaddingWidthStart, getBPD, getChangeBarList, getEffectiveAllocIPD, getIPD, getSpaceAfter, getSpaceBefore, getSpaceEnd, getSpaceStart, getTrait, getTraitAsBoolean, getTraitAsInteger, getTraits, hasTrait, hasTraits, isFromFootnote, resetBidiLevel, setAreaClass, setBidiLevel, setBPD, setChangeBarList, setFromFootnote, setIPD, setTraits, setWritingModeTraits, toString`

### Methods inherited from class org.apache.fop.area.AreaTreeObject

`addExtensionAttachment, getExtensionAttachments, getForeignAttributes, getForeignAttributeValue, hasExtensionAttachments, setExtensionAttachments, setForeignAttribute, setForeignAttributes`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Footnote

    public Footnote()

### Method Detail

#### setSeparator

    public void setSeparator(Block sep)

Set the separator area for this footnote.

Parameters:
  `sep` - the separator area

#### getSeparator

    public Block getSeparator()

Get the separator area for this footnote area.

Returns:
  the separator area

#### setTop

    public void setTop(int top)

Set the relative position of the footnote inside the body region.

Parameters:
  `top` - the relative position.

#### getTop

    public int getTop()

Get the relative position of the footnote inside the body region.

Returns:
  the relative position.

#### addBlock

    public void addBlock(Block child)

Add a block area as child to the footnote area

Overrides:
  `addBlock` in class `BlockParent`
Parameters:
  `child` - the block area.